<div class="table-container">
        <table class="table table-container is-fullwidth is-hoverable">
            <thead>
                <tr>
                    <th>Week</th>
                    <th>Topic</th>
                    <th>Readings</th>
                    <th>Assignment</th>
                </tr>
            </thead>
            <tbody>
                {{ range $.Page.Site.Data.calendar}}
                <tr id="row_{{ .week }}">
                    <td>
                        <ul>
                            <li>{{ .week }}</li>
                            <li class="date-item">{{ .date }}</li>
                        </ul></td>
                    <td>
                        {{ range .topics }}
                        <ul>
                            <li>{{.}}</li>
                        </ul>
                        {{end}}
                        <ul>
                            {{if gt (len .slides) 0}}
                            <i class="far fa-file-powerpoint"></i>
                            {{range .slides}}
                            <li><a href={{.link}} target="_blank" class="slide-link">{{.title}}</a></li>
                            {{end}} {{end}}
                        </ul>
                    </td>
                    <td>
                        {{ range .readings }}
                        <ul>
                            {{if .link}}
                              <li><a href={{.link}} target="_blank" class="slide-link">{{.name}}</a></li>
                            {{else}}
                            <li>{{.name}}</li>
                            {{end}}
                        </ul>
                        {{ end }}
                        {{ range .notes }}
                        <ul>
                            <li><a href="/notes/{{.}}" class="slide-link">{{.}} note</a></li>
                        </ul>
                        {{ end }}
                    </td>
                    <td>
                        {{ range .assignments }}
                        <ul>
                            <li><a href=/{{.link}}>{{.title}}</a><span class="tag is-light">Due: {{.dueDate}}</span></li>
                        </ul>
                        {{ end }}
                    </td>
                </tr>
                {{ end }}
            </tbody>
        </table>
    </div>

<script>
    // Fall 2018: first day of classes: Sep 2nd, 2018; last day of classes: Dec 6th, 2018.
    var startDate = new Date("2018-09-02");
    var activeWeek = Math.floor((new Date() - startDate) / (1000*7*24*60*60))+1
    
    if (activeWeek > 0 && activeWeek < 15) {
        var row = document.getElementById("row_"+ activeWeek);
        row.className = "is-selected";
        count = activeWeek - 1;
        while (count > 0) {
            document.getElementById("row_" + count).className = "is-passed";
            count = count - 1;
        }
    }
</script>